capture log close
log using wfauto-04returns, replace text
version 13.1
clear all
set linesize 80
macro drop _all
set scheme s2manual

//  Guide to Automating Your Work in Stata
//  Scott Long & Bianca Manago
//  returns

local pgm wfauto-04returns
local dte 2015-05-15
local who scott long
local tag "`pgm' `who' `dte'"

//  load data

use wf-lfp, clear
notes

//  #1 r-returns

local varnm age
summarize `varnm'
return list

local mn = r(mean)
di `mn'
local sd = r(sd)
di `sd'

local C1 = 5
local C2 = 20
local C3 = 30
local W2 = 10
local W3 = 10
local D2 = 2
local D3 = 3

di  _col(`C1') "`varnm'" ///
    _col(`C2') "Mean = " %-`W2'.`D2'f  `mn' ///
    _col(`C3') "SD = "   %-`W3'.`D3'f  `sd'

//  #2  e-returns

regress age inc
ereturn list

log close
exit
