capture log close
log using wflec-debug-loops-graphs, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: debug - loop

global pgm wflec-debug-loops-graphs
global dte 2017-06-18
global who Scott Long
global tag "$pgm.do $who $dte"

//  #1 these labels are wrong

use wf-acjob, clear
local varlist "job phd ment art cit fem fel"
* to debug use shorter list
local varlist "job phd ment"

foreach y_var in `varlist' { // y axis variable

    local y_lbl : variable label `y_var' // get y label
    label var `y_var' "`y_var': `y_lbl'" // add name to var lab

    foreach x_var in `varlist' { // x axis variable

        if "`y_var'"!="`x_var'" {
            local x_lbl : variable label `x_var'
            label var `x_var' "`x_var': `x_lbl'"

            scatter `y_var' `x_var', msym(circle_hollow) jitter(8) ///
                ylab(, grid) xlab(, grid) aspectratio(1)
            graph export wf6-review-`y_var'-`x_var'.png, replace

      } // if not same variable

   } // x axis loop

} // y axis loop

//  #2 add code to highlight incorrect labels

use wf-acjob, clear
local varlist "job phd ment"

foreach y_var in `varlist' { // y axis variable

    local y_lbl : variable label `y_var' // get y label
    label var `y_var' "`y_var': `y_lbl'" // add name to var lab

    foreach x_var in `varlist' { // x axis variable

        if "`y_var'"!="`x_var'" {
            local x_lbl : variable label `x_var'
            label var `x_var' "`x_var': `x_lbl'"

local x_lbl : variable label `x_var'
local y_lbl : variable label `y_var'
di "xvar label=> `x_lbl'"
di "yvar label=> `y_lbl'"
/*
        scatter `y_var' `x_var', msym(circle_hollow) jitter(8) ///
            ylab(, grid) xlab(, grid) aspectratio(1)
        graph export wf6-review-`y_var'-`x_var'.png, replace
*/
      } // if not same variable

   } // x axis loop

} // y axis loop

//  #3 solution

use wf-acjob, clear
local varlist "job phd ment"

foreach var in `varlist' {
    local lbl : variable label `var'
    label var `var' "`var': `lbl'"
}

foreach y_var in `varlist' { // y axis variable

    foreach x_var in `varlist' { // x axis variable

        if "`y_var'"!="`x_var'" {

local x_lbl : variable label `x_var'
local y_lbl : variable label `y_var'
di "xvar label=> `x_lbl'"
di "yvar label=> `y_lbl'"
/*
        scatter `y_var' `x_var', msym(circle_hollow) jitter(8) ///
            ylab(, grid) xlab(, grid) aspectratio(1)
        graph export wf6-review-`y_var'-`x_var'.png, replace
*/
      } // if not same variable

   } // x axis loop

} // y axis loop


log close
exit

