capture log close
log using wflec-dual-stat05-regscales, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dual workflow - stat 05 OLS of 2-parmIRT scale

local pgm wflec-dual-stat05-regscales
local dte 2017-06-16
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 setup

use wflec-dual-data04, clear
datasignature confirm

//  #2

local lhsvars BNwarm BNkidsuf BNfamsuf BNnotboth BNjobsat BNindep
local m1rhs i.female age i.married logfaminc
local m2rhs `m1rhs' i.highered i.fulltime
local m3rhs `m2rhs' i.momworks i.kidsnone
local regvars `m3rhs'
local lhsvars prowrkSS prowrkIRT
local descvars : subinstr local m3rhs "i." "", all

//  #4 select sample

qui reg age `regvars' // quick way to select listwise deletion sample
keep if e(sample)

//  #5 summated scale

eststo m1: regress prowrkSS `m1rhs'
eststo m2: regress prowrkSS `m2rhs'
eststo m3: regress prowrkSS `m3rhs'

esttab m1 m2 m3,  ///    using `pgm'-regressions.csv, replace ///
title(Table_ Summarted scale regressions) ///
    star(* 0.05 ** 0.01 *** 0.001) ///
    nonumbers mtitles("(1)" "(2)" "(3)") ///
    label b(%12.3f) t(%12.3f) ar2 bic(1)

//  #6 IRT

eststo m1: regress prowrkIRT `m1rhs'
eststo m2: regress prowrkIRT `m2rhs'
eststo m3: regress prowrkIRT `m3rhs'

esttab m1 m2 m3,  ///    using `pgm'-regressions.csv, replace ///
title(Table_ IRT scale regressions) ///
    star(* 0.05 ** 0.01 *** 0.001) ///
    nonumbers mtitles("(1)" "(2)" "(3)") ///
    label b(%12.3f) t(%12.3f) ar2 bic(1)

log close
exit


