capture log close
log using wflec-template-clean-graph-loop, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  template for cleaning data using graph loops

global pgm wflec-template-clean-graph-loop
global dte 2017-06-19
global who Scott Long
global tag "$pgm.do $who $dte"

use wf-acjob, clear
local varlist "job phd ment"

//  add variable name to variable label

foreach varname in `varlist' {
    local varlabel : variable label `varname'
    label var `varname' "`varname': `varlabel'"
}

//  dotplots
foreach y_var in `varlist' { // y axis variable
    dotplot `y_var'
    * png are faster to view, but not good for use in papers
    qui graph export $pgm-dotplot-`y_var'.png, replace width(800)
}

foreach y_var in `varlist' { // y axis variable

    foreach x_var in `varlist' { // x axis variable

        if "`y_var'"!="`x_var'" {

            scatter `y_var' `x_var', msym(circle_hollow) jitter(8) ///
                ylab(, grid) xlab(, grid) aspectratio(1)
            graph export $pgm-scatter-`y_var'-`x_var'.png, replace

        } // if not same variable

    } // x axis loop

} // y axis loop

log close
exit

